from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XSpinListener(XEventListener, Protocol):
    def up(self, rEvent: SpinEvent) -> None: ...
    def down(self, rEvent: SpinEvent) -> None: ...
    def first(self, rEvent: SpinEvent) -> None: ...
    def last(self, rEvent: SpinEvent) -> None: ...
